// 3.2_Display example2
// This code is for reference only. Actual coding requires error handling.
public void example()
{
    DisplayAPI displayAPI = new DisplayAPI();
    displayAPI.OpenMonPrinter(OpenType.TYPE_DISPLAY, "SII DSP-A01");          // Open SDK with printer name
    displayAPI.SetCodePage(CodePage.CODE_PAGE_1252);                          // Select Character Set			
    displayAPI.SetInternationalCharacter(InternationalCharactor.COUNTRY_USA); // Select International Character Set							
    displayAPI.SelectTemplate(123, 81);                                       // Select template (ID=123 : for 3 lines) with Slide 81					
    displayAPI.SelectTemplateTextObject(0);                                   // Select Text area 0						
    displayAPI.SetTemplateTextData("TOTAL");
    displayAPI.SelectTemplateTextObject(1);                                   // Select Text area 1						
    displayAPI.SetTemplateTextData("Paid");
    displayAPI.SelectTemplateTextObject(2);                                   // Select Text area 2						
    displayAPI.SetTemplateTextData("Change");
    displayAPI.SelectTemplateTextObject(3);                                   // Select Text area 3						
    displayAPI.SetTemplateTextData("$18.00");
    displayAPI.SelectTemplateTextObject(4);                                   // Select Text area 4						
    displayAPI.SetTemplateTextData("$20.00");
    displayAPI.SelectTemplateTextObject(5);                                   // Select Text area 5						
    displayAPI.SetTemplateTextData("$2.00");
    displayAPI.ShowTemplate(0);                                               // Display			
    displayAPI.GetResponseRequest(0x01, 10 * 1000);                           // Confirm data processing completion
    displayAPI.CloseMonPrinter();
}