// 3.2_Display example2
// This code is for reference only. Actual coding requires error handling.
- (void)example
{
    SIIPrinterManager *printerManager = [[SIIPrinterManager alloc] init];
    [printerManager connect:SII_PM_PRINTER_MODEL_RP_F10                  // Connect printer by ip address.
            address:@"192.168.129.11"
            portType:SII_PM_PRINTER_PORT_TYPE_TCP];
    printerManager.codePage = SII_PM_CODE_PAGE_1252;                     // Select Character Set
    printerManager.internationalCharacter = SII_PM_COUNTRY_USA;          // Select International Character Set
    [printerManager selectTemplate:123 slideID:81];                      // Select template (ID=123 : for 3 lines) with Slide 81
    [printerManager selectTemplateTextObject:0];                         // Select Text area 0
    [printerManager setTemplateTextData:@"TOTAL"];
    [printerManager selectTemplateTextObject:1];                         // Select Text area 1
    [printerManager setTemplateTextData:@"Paid"];
    [printerManager selectTemplateTextObject:2];                         // Select Text area 2
    [printerManager setTemplateTextData:@"Change"];
    [printerManager selectTemplateTextObject:3];                         // Select Text area 3
    [printerManager setTemplateTextData:@"$18.00"];
    [printerManager selectTemplateTextObject:4];                         // Select Text area 4
    [printerManager setTemplateTextData:@"$20.00"];
    [printerManager selectTemplateTextObject:5];                         // Select Text area 5
    [printerManager setTemplateTextData:@"$2.00"];
    [printerManager showTemplate:0];                                     // Display
    UInt8 param[1] = { 0x01 };
    NSInteger val[1];
    [printerManager getDisplayResponse:SII_PM_DISPLAY_RESPONSE_REQUEST   // Confirm data processing completion
            param:[NSData dataWithBytes:param length:sizeof(param)]
            response:val];
    [printerManager disconnect];
}