// 3.2_Display example2
// This code is for reference only. Actual coding requires error handling.
public void example() throws PrinterException
{
    PrinterManager printerManager = new PrinterManager(getApplicationContext());
    printerManager.connect(PrinterManager.PRINTER_MODEL_RP_F10, "192.168.129.11");           // Connect printer by ip address.
    printerManager.setCodePage(PrinterManager.CODE_PAGE_1252);                               // Select Character Set
    printerManager.setInternationalCharacter(PrinterManager.COUNTRY_USA);                    // Select International Character Set
    printerManager.selectTemplate(123, 81);                                                  // Select template (ID=123 : for 3 lines) with Slide 81
    printerManager.selectTemplateTextObject(0);                                              // Select Text area 0
    printerManager.setTemplateTextData("TOTAL");
    printerManager.selectTemplateTextObject(1);                                              // Select Text area 1
    printerManager.setTemplateTextData("Paid");
    printerManager.selectTemplateTextObject(2);                                              // Select Text area 2
    printerManager.setTemplateTextData("Change");
    printerManager.selectTemplateTextObject(3);                                              // Select Text area 3
    printerManager.setTemplateTextData("$18.00");
    printerManager.selectTemplateTextObject(4);                                              // Select Text area 4
    printerManager.setTemplateTextData("$20.00");
    printerManager.selectTemplateTextObject(5);                                              // Select Text area 5
    printerManager.setTemplateTextData("$2.00");
    printerManager.showTemplate(0);                                                          // Display
    int[] val = new int[1];
    printerManager.getDisplayResponse(PrinterManager.DISPLAY_RESPONSE_REQUEST, 0x01, val);   // Confirm data processing completion
    printerManager.disconnect();
}